Bug 89903 - No ability to edit template, even after applying workflow
No ability to edit template, even after applying workflow
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: rc0blockers
  Show dependency treegraph
 
Reported: 2003-04-29 12:35 EDT by Jon Orris
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-26 10:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-04-29 12:35:02 EDT
Description of problem:
@30313/RHDB

Go to Content Types
Select a type, say Article
Click Add template
(There will be an extra /ccm in the redirect url, which will be a separate
ticket. Just eliminate it in the URL bar & continue)
Go to workflow tab
Select Production Workflow & then Apply Workflow
Go back to the authoring tab as a user in the Authoring role.
There is no lock item link, nor any way to edit the template.

This is working on the Troika tip, bu t I seem to recall that it wasn't at some
point. However, I can't find a bugzilla ticket referring to this, so I'm not
positive.
Comment 1 Scott Seago 2003-06-04 10:19:05 EDT
Templates probably shouldn't have workflows applied. We've never done it in the
past, and if the latest permission issues have been merged from London, then any
user with Item Administration privileges should be able to modify templates
without workflows attached.
Comment 2 Richard Li 2003-06-04 10:27:00 EDT
Actually you can edit templates now.

Re: workflows, maybe we should disable workflows for templates too. I'm going to
move this one to RC0.
Comment 3 Justin Ross 2003-06-26 10:01:11 EDT
Workflow edits are disabled for templates in perforce 32891.

Note You need to log in before you can comment on or make changes to this bug.